Summary: Dynamic relay authorization control
Name: dracd-PbS
Version: 1.11
Release: 0vl1
Copyright: Other
Group: Networking/Utilities
Url: http://mail.cc.umanitoba.ca/drac/
Source0: drac.tar.Z
Source1: dracd-init.d.source
Source2: dracd-rc.d.source
Source3: dracd.allow-sample
Patch: drac-Makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig
Requires: portmap

%description
DRAC is a daemon that dynamically updates a relay authorization map
for sendmail. It provides a way to allow legitimate users to relay
mail through an SMTP server, while still preventing others from using
it as a spam relay. User's IP addresses are added to the map
immediately after they have authenticated to the POP or IMAP
server. By default, map entries expire after 30 minutes, but can be
renewed by additional authentication. Periodically checking mail on a
POP server is sufficient to do this. The POP and SMTP servers can be
on different hosts.

%prep
%setup -c -n drac-1.11
%patch -p0

%build
make

%install
# make install
# make install-man
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/etc/mail
install -d $RPM_BUILD_ROOT/usr/man/man3
install -d $RPM_BUILD_ROOT/usr/man/man8
install -d $RPM_BUILD_ROOT/usr/lib
install -m755 rpc.dracd $RPM_BUILD_ROOT/usr/sbin/
install -m644 dracauth.3 $RPM_BUILD_ROOT/usr/man/man3/
install -m644 rpc.dracd.1m $RPM_BUILD_ROOT/usr/man/man8/rpc.dracd.8
install -m644 $RPM_SOURCE_DIR/dracd.allow-sample $RPM_BUILD_ROOT/etc/mail/dracd.allow
install -m755 $RPM_SOURCE_DIR/dracd-init.d.source $RPM_BUILD_ROOT/etc/rc.d/init.d/dracd
install -m755 $RPM_SOURCE_DIR/dracd-rc.d.source $RPM_BUILD_ROOT/usr/sbin/rc.dracd
install -m644 libdrac.a $RPM_BUILD_ROOT/usr/lib
install -m755 testing $RPM_BUILD_ROOT/usr/sbin/testdrac

%post
/sbin/chkconfig --add dracd

%preun
if [ $1 = 0 ] ; then
    /sbin/chkconfig --del dracd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT Changes INSTALL PORTING README
/usr/sbin/rpc.dracd
/usr/sbin/rc.dracd
/usr/sbin/testdrac
/usr/lib/libdrac.a
/usr/man/man3/dracauth.3*
/usr/man/man8/rpc.dracd.8*
%config /etc/rc.d/init.d/dracd
%config(noreplace) /etc/mail/dracd.allow

%changelog
* Thu Mar 15 2001 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp>
- 1.11-0vl1
- Customize to PbS

* Thu Dec 14 2000 Kenneth Porter <shiva@well.com>
- Add testing program to package, renamed to testdrac

* Thu Nov 2 2000 Kenneth Porter <shiva@well.com>
- Move rc.dracd out of /etc
- Mark remaining /etc files (init file) as config
- Return a value from init script
- Add status to init script

* Mon Oct 30 2000 Kenneth Porter <shiva@well.com>
- Add Requires: portmap
- Make dracd.allow a config file
- Compressed man pages on newer RPM systems

* Sat Jul 1 2000 Kenneth Porter <shiva@well.com>
- Fix install for non-root packager
- Remove bogus address from default client allow file.
- Add chkconfig invocation to automatically install startup links.
- Move libdrac.a to /usr/lib. No need for a directory of its own.

* Tue Oct 26 1999 Mike McHenry <mmchen@minn.net>
- First RPM build
